#include<bits/stdc++.h>
using namespace std;
bool ktra(int n)
{
    int t=1;
    for (int i=2 ; i <= sqrt(n); i++)
    {
        if (n %i==0)
        {
            t+=i;
            if (i!=n/i)
                t+=n/i;
        }
    }
    if (n < t)
        return  true;
    return false ;
}
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);cout.tie(0);
    if(fopen("tihon.inp","r"))
    {
        freopen("tihon.inp","r",stdin);
        freopen("tihon.out","w",stdout);
    }
    int n , d=0;
    cin >> n;
    for (int i=1 ; i <= n; i++)
    {
        int x ;
        cin >> x;
        if (ktra (x))
            d++;
    }
    cout << d;
    return 0;
}
